FAQ: Moodle recommended browser?

This post will familiarise you with the minimum recommended browser versions for your MCI moodle course.

Moodle is accessed through a web browser on your pc, tablet or smartphone. Moodle supports a variety of browser versions, and below you can see the minimum and recommended versions for the most common browsers. However, we do recommend our students to use the latest version of: Google Chrome, Mozilla firefox or Apple  Safari, to use/view the tools in your moodle platform most efficiently.

Click here to find out how to update your browser. new google

 *Internet Explorer 10 is required for drag-and-drop functionality within moodle

Like most of the world’s Web sites and browser producers, moodle encourages you to keep your browsers current to improve security and functionality. Most internet browsers will prompt you when updates are available. Be sure to install the updates when prompted to do so.